getconf(1)

NAME
getconf - print system configuration variables

SYNOPSIS

getconf [-v specificaton] variable_name [pathname]

getconf -a [pathname]

DESCRIPTION
getconf prints the value for variable_name, which is a system configuration variable as defined by sysconf(3) or confstr(3), to the standard output. If ariable_name is a configuration variable as defined by pathconf(3), the argument pathname needs to be given.

OPTIONS

-a  Prints all names of the configuration variables to the standard output.

-v specification
    Gives the specification for which to obtain configuration variables.

AUTHOR
getconf was written by Roland McGrath for the GNU C Library